This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 135016 - scsi-remove-single-device removes devices other than specified
scsi-remove-single-device removes devices other than specified
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
All Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-07 21:01 EDT by Thomas Walker
Modified: 2015-01-04 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-18 11:42:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thomas Walker 2004-10-07 21:01:35 EDT
Description of problem:

echo "scsi-remove-single-device 2 0 0 0" > /proc/scsi/scsi
On a system with a root scsi hdd on 0 0 0 0 yanks the rootdisk out
from under the system

Note that the device I'm trying to remove is a firewire disk (ipod)
via sbp2 while the hosts 0 and 1 are sata hdd controllers

Version-Release number of selected component (if applicable):

kernel-2.6.8-1.521

How reproducible:

see above 
note that I can only reproduce this if I have mounted/unmounted the
firewire disk before trying to remove it (just prior to removeing sbp2)

  
Actual results:

Machine hangs with errors in /var/log/messages

Expected results:

the specified device would be removed and all would continue as usual
Comment 1 Thomas Walker 2005-02-18 11:42:45 EST
no longer needed with fc3 and all of the udev magic, closing.

Note You need to log in before you can comment on or make changes to this bug.